<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RMobility StructType
 * @subpackage Structs
 */
class RMobility extends AbstractStructBase
{
    /**
     * The handoffNumber
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var XFkType
     */
    public $handoffNumber;
    /**
     * The handoffPartitionName
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var XFkType
     */
    public $handoffPartitionName;
    /**
     * The DTMFNumber
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var XFkType
     */
    public $DTMFNumber;
    /**
     * The DTMFPartitionName
     * Meta informations extracted from the WSDL
     * - minOccurs: 0
     * @var XFkType
     */
    public $DTMFPartitionName;
    /**
     * Constructor method for RMobility
     * @uses RMobility::setHandoffNumber()
     * @uses RMobility::setHandoffPartitionName()
     * @uses RMobility::setDTMFNumber()
     * @uses RMobility::setDTMFPartitionName()
     * @param XFkType $handoffNumber
     * @param XFkType $handoffPartitionName
     * @param XFkType $dTMFNumber
     * @param XFkType $dTMFPartitionName
     */
    public function __construct(XFkType $handoffNumber = null, XFkType $handoffPartitionName = null, XFkType $dTMFNumber = null, XFkType $dTMFPartitionName = null)
    {
        $this
            ->setHandoffNumber($handoffNumber)
            ->setHandoffPartitionName($handoffPartitionName)
            ->setDTMFNumber($dTMFNumber)
            ->setDTMFPartitionName($dTMFPartitionName);
    }
    /**
     * Get handoffNumber value
     * @return XFkType|null
     */
    public function getHandoffNumber()
    {
        return $this->handoffNumber;
    }
    /**
     * Set handoffNumber value
     * @param XFkType $handoffNumber
     * @return RMobility
     */
    public function setHandoffNumber(XFkType $handoffNumber = null)
    {
        $this->handoffNumber = $handoffNumber;
        return $this;
    }
    /**
     * Get handoffPartitionName value
     * @return XFkType|null
     */
    public function getHandoffPartitionName()
    {
        return $this->handoffPartitionName;
    }
    /**
     * Set handoffPartitionName value
     * @param XFkType $handoffPartitionName
     * @return RMobility
     */
    public function setHandoffPartitionName(XFkType $handoffPartitionName = null)
    {
        $this->handoffPartitionName = $handoffPartitionName;
        return $this;
    }
    /**
     * Get DTMFNumber value
     * @return XFkType|null
     */
    public function getDTMFNumber()
    {
        return $this->DTMFNumber;
    }
    /**
     * Set DTMFNumber value
     * @param XFkType $dTMFNumber
     * @return RMobility
     */
    public function setDTMFNumber(XFkType $dTMFNumber = null)
    {
        $this->DTMFNumber = $dTMFNumber;
        return $this;
    }
    /**
     * Get DTMFPartitionName value
     * @return XFkType|null
     */
    public function getDTMFPartitionName()
    {
        return $this->DTMFPartitionName;
    }
    /**
     * Set DTMFPartitionName value
     * @param XFkType $dTMFPartitionName
     * @return RMobility
     */
    public function setDTMFPartitionName(XFkType $dTMFPartitionName = null)
    {
        $this->DTMFPartitionName = $dTMFPartitionName;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return RMobility
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
